// ntfsattributelistentry.cpp
// Part of SalvageNTFS
// Copyright (C) Will Glynn
//////////////////////////////////////////////////////////////////////////////
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html

#include "ntfsattributelistentry.h"

NTFSAttributeListEntry::NTFSAttributeListEntry()
{
	nameLength = nameOffset = 0;
	recordLength = attributeId = 0;
	type = 0;
	startingVcn = extentReference = 0;
}

NTFSAttributeListEntry::~NTFSAttributeListEntry()
{
}

bool NTFSAttributeListEntry::read(NTFSStream * s)
{
	type = s->read32();
	recordLength = s->read16();
	nameLength = s->read8();
	nameOffset = s->read8();
	startingVcn = s->read64();
	extentReference = s->read64();
	attributeId = s->read16();
	name = s->readString(nameLength);

	// Seek to end of attribute record
	s->seek(recordLength);

	return true;
}
